allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
const_reverse_iterator
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
get_ref
get_ref
insert
insert
insert
insert
insert
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
iterator_wrapper
iterator_wrapper
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator==
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
size
size_type
string_t
swap
swap
swap
swap
type
value
value
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>
template<typename T , std::size_t n>

const_reference nlohmann::basic_json::operator[] | ( | T *(&) | key[n] | ) | const

inline

Returns a const reference to the element at with specified key key. No bounds checking is performed.

Warning
  If the element with key key does not exist, the behavior is undefined.

Note
  This function is required for compatibility reasons with Clang.

Parameters

  [in] | key | key of the element to access

Returns
  const reference to the element at key key

Exceptions

  std::domain_error | if JSON is not an object; example: `"cannot use operator[] with null"`

Complexity
  Logarithmic in the size of the container.

Example
  The example below shows how object elements can be read using the [] operator.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create a JSON object
  const json object =
  {
  {"one", 1}, {"two", 2}, {"three", 2.9}
  };
  // output element with key "two"
  std::cout << object["two"] << '\n';
  }
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:191
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:88
  Output (play with this example online):

      2

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/operatorarray__key_type_const.cpp -o operatorarray__key_type_const

See also
  at(const typename object_t::key_type&) for access by reference with range checking
  value() for access by value with a default value

Since
  version 1.0.0

Definition at line 3128 of file json.hpp.